Package fr.gouv.vitam.common.database.builder.query

# Class MatchQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.MatchQuery

Direct Known Subclasses:
  `MatchQuery`

public class MatchQuery extends Query
Match Query

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MatchQuery()`
  ``
  `MatchQuery(BuilderToken.QUERY matchQuery, String variableName, String value)`
  Match Query constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final MatchQuery`
  `setMatchMaxExpansions(int max)`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `clean, cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MatchQuery

    protected MatchQuery()

  - ### MatchQuery

    public MatchQuery(BuilderToken.QUERY matchQuery, String variableName, String value) throws InvalidCreateOperationException
    Match Query constructor
    Parameters:
      `matchQuery` - match, match_phrase, match_phrase_prefix
      `variableName` - variable name
      `value` - of variable
    Throws:
      `InvalidCreateOperationException` - when not valid

- ## Method Details

  - ### setMatchMaxExpansions

    public final MatchQuery setMatchMaxExpansions(int max) throws InvalidCreateOperationException
    Parameters:
      `max` - max expansions for Match type request only (not regex, search)
    Returns:
      this MatchQuery
    Throws:
      `InvalidCreateOperationException` - when not valid